{
    "scan": {
        "analyzer-version-clang": "18.1.7",
        "analyzer-version-cppcheck": "2.14.2",
        "analyzer-version-gcc": "14.1.1",
        "analyzer-version-gcc-analyzer": "14.1.1",
        "analyzer-version-shellcheck": "0.10.0",
        "enabled-plugins": "clang, cppcheck, gcc, shellcheck",
        "exit-code": 0,
        "host": "ip-172-16-1-152.us-west-2.compute.internal",
        "mock-config": "fedora-41-x86_64",
        "project-name": "libwacom-2.10.0-1.fc40",
        "store-results-to": "/tmp/tmpvi59ti7k/libwacom-2.10.0-1.fc40.tar.xz",
        "time-created": "2024-07-03 16:00:03",
        "time-finished": "2024-07-03 16:01:30",
        "tool": "csmock",
        "tool-args": "'/usr/bin/csmock' '-r' 'fedora-41-x86_64' '-t' 'cppcheck,gcc,clang,shellcheck' '-o' '/tmp/tmpvi59ti7k/libwacom-2.10.0-1.fc40.tar.xz' '--gcc-analyze' '/tmp/tmpvi59ti7k/libwacom-2.10.0-1.fc40.src.rpm'",
        "tool-version": "csmock-3.5.3-1.el9"
    },
    "defects": [
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 476,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "hash_v1": "948049f8476123e9cf29b21a5fc0cc223df8387a",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/libwacom-2.10.0-build/libwacom-2.10.0/libwacom/libwacom-error.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘libwacom_error_new’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libwacom-2.10.0-build/libwacom-2.10.0/libwacom/libwacom-error.c",
                    "line": 40,
                    "column": 21,
                    "event": "warning[-Wanalyzer-possible-null-dereference]",
                    "message": "dereference of possibly-NULL ‘error’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/libwacom-2.10.0-build/libwacom-2.10.0/libwacom/libwacom-error.c",
                    "line": 39,
                    "column": 29,
                    "event": "note",
                    "message": "(1) this call could return NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libwacom-2.10.0-build/libwacom-2.10.0/libwacom/libwacom-error.c",
                    "line": 40,
                    "column": 21,
                    "event": "note",
                    "message": "(2) ‘error’ could be NULL: unchecked value from (1)",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   38|   {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   39|   \tWacomError *error = malloc(sizeof(*error));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   40|-> \terror->code = WERROR_NONE;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   41|   \terror->msg = NULL;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   42|   \treturn error;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/libwacom-2.10.0-build/libwacom-2.10.0/tools/list-devices.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/libwacom-2.10.0-build/libwacom-2.10.0/libwacom/libwacom-database.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/libwacom-2.10.0-build/libwacom-2.10.0/tools/list-local-devices.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/libwacom-2.10.0-build/libwacom-2.10.0/libwacom/libwacom.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        }
    ]
}
